import { OnesTable } from '../../../../../@ones-table/common';
import { ToolbarItem } from '../../table-command-types';
import { CommandBar } from '../../command-bar';
import { CommandItemChildrenPlacement, CommandItemState } from '../../types';
declare class FontStyleItem implements ToolbarItem {
    private table;
    id: string;
    icon: string;
    name: string;
    states: CommandItemState[];
    constructor(table: OnesTable, id: string, icon: string, name: string);
    handleClick(): void;
    updateState(bar?: CommandBar): void;
}
export declare class FontBoldItem extends FontStyleItem {
    subText: string;
    constructor(table: OnesTable);
}
export declare class FontItalicItem extends FontStyleItem {
    subText: string;
    constructor(table: OnesTable);
}
export declare class FontUnderlineItem extends FontStyleItem {
    subText: string;
    constructor(table: OnesTable);
}
export declare class FontLineThroughItem extends FontStyleItem {
    subText: string;
    constructor(table: OnesTable);
}
export declare class FontStyleDropItem implements ToolbarItem {
    private table;
    id: string;
    name: string;
    icon: string;
    children: ToolbarItem[];
    dropdown: boolean;
    manualShowChildren: boolean;
    childrenPlacement: CommandItemChildrenPlacement;
    constructor(table: OnesTable);
    updateState(bar?: CommandBar): void;
}
export {};
